Skip to content

List blog posts

GET
/api/v1/projects/{project_id}/blog-posts

Returns all blog posts for a project, optionally filtered by status.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Query Parameters

status

Responses

Successful Response

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"title": "string",
  
  
"excerpt": "string",
  
  
"status": "string",
  
  
"post_type": "string",
  
  
"topic": "string",
  
  
"featured_image_url": "string",
  
  
"wp_post_id": 0,
  
  
"store_connection_id": "string",
  
  
"external_post_id": "string",
  
  
"published_url": "string",
  
  
"published_at": "string",
  
  
"scheduled_at": "string",
  
  
"created_at": "string",
  
  
"updated_at": "string"
  
}
]

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

XC AI Content Automation